# HG changeset patch
# Node ID eeb587013c03
# Parent  635a129a289d
diff --git a/libpurple/purpleoptions.h b/libpurple/purpleoptions.h
--- a/libpurple/purpleoptions.h
+++ b/libpurple/purpleoptions.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_OPTIONS_H
 #define PURPLE_OPTIONS_H
 
-/**
- * SECTION:purpleoptions
- * @section_id: libpurple-purpleoptions
- * @short_description: Command line argument integration
- * @title: Command Line Argument Integration
- *
- * The functions defined here are to help in handling command line options.
- */
-
 #include <glib.h>
 
 G_BEGIN_DECLS
diff --git a/libpurple/purpleplugininfo.h b/libpurple/purpleplugininfo.h
--- a/libpurple/purpleplugininfo.h
+++ b/libpurple/purpleplugininfo.h
@@ -23,19 +23,6 @@
 #ifndef PURPLE_PLUGIN_INFO_H
 #define PURPLE_PLUGIN_INFO_H
 
-/**
- * SECTION:purpleplugininfo
- * @section_id: libpurple-purpleplugininfo
- * @title: PurplePluginInfo Object
- * @short_description: An object representing information about purple plugins.
- * @see_also: <link linkend="chapter-signals-plugin">Plugin signals</link>,
- *     <link linkend="chapter-plugin-ids">Plugin IDs</link>,
- *     <link linkend="chapter-plugin-i18n">Third Party Plugin Translation</link>
- *
- * #PurplePluginInfo is a #GPluginPluginInfo subclass that adds additional
- * libpurple specific properties.
- */
-
 #include <glib.h>
 
 #include <gplugin.h>
@@ -53,6 +40,15 @@
 #define PURPLE_TYPE_PLUGIN_INFO (purple_plugin_info_get_type())
 
 /**
+ * PurplePluginInfo:
+ *
+ * #PurplePluginInfo is a #GPluginPluginInfo subclass that adds additional
+ * libpurple specific properties.
+ *
+ * Since: 3.0.0
+ */
+
+/**
  * purple_plugin_info_get_type:
  *
  * The standard _get_type function for #PurplePluginInfo.
diff --git a/libpurple/purplepresence.h b/libpurple/purplepresence.h
--- a/libpurple/purplepresence.h
+++ b/libpurple/purplepresence.h
@@ -28,16 +28,6 @@
 #define PURPLE_PRESENCE_H
 
 /**
- * SECTION:purplepresence
- * @section_id: libpurple-purplepresence
- * @short_description: Presence Objects
- * @title: Presence Object API
- *
- * This file contains the base #PurplePresence type which is used by
- * #PurpleAccountPresence and #PurpleBuddyPresence.
- */
-
-/**
  * PurplePresence:
  *
  * A PurplePresence is like a collection of PurpleStatuses (plus some other
diff --git a/libpurple/purpleprotocol.h b/libpurple/purpleprotocol.h
--- a/libpurple/purpleprotocol.h
+++ b/libpurple/purpleprotocol.h
@@ -31,15 +31,6 @@
 #include <glib-object.h>
 
 /**
- * SECTION:protocol
- * @section_id: libpurple-protocol
- * @short_description: <filename>protocol.h</filename>
- * @title: Protocol Object and Interfaces
- *
- * #PurpleProtocol is the base type for all protocols in libpurple.
- */
-
-/**
  * PURPLE_TYPE_PROTOCOL:
  *
  * The standard _TYPE_ macro for #PurpleProtocol.
@@ -49,6 +40,12 @@
 #define PURPLE_TYPE_PROTOCOL (purple_protocol_get_type())
 
 /**
+ * PurpleProtocol:
+ *
+ * #PurpleProtocol is the base type for all protocols in libpurple.
+ */
+
+/**
  * purple_protocol_get_type:
  *
  * Gets the #GType for #PurpleProtocol.
diff --git a/libpurple/purpleprotocolchat.h b/libpurple/purpleprotocolchat.h
--- a/libpurple/purpleprotocolchat.h
+++ b/libpurple/purpleprotocolchat.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_PROTOCOL_CHAT_H
 #define PURPLE_PROTOCOL_CHAT_H
 
-/**
- * SECTION:purpleprotocolchat
- * @section_id: libpurple-purpleprotocolchat
- * @short_description: Protocol Chat Interface
- * @title: ProtocolChat Interface
- *
- * #PurpleProtocolChat describes the API that protocols need to implement for
- * handling multiple user conversations.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -66,8 +56,8 @@
 /**
  * PurpleProtocolChat:
  *
- * An opaque representation of an object that implements
- * #PurpleProtocolChatInterface.
+ * #PurpleProtocolChat describes the API that protocols need to implement for
+ * handling multiple user conversations.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleprotocolclient.h b/libpurple/purpleprotocolclient.h
--- a/libpurple/purpleprotocolclient.h
+++ b/libpurple/purpleprotocolclient.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_PROTOCOL_CLIENT_H
 #define PURPLE_PROTOCOL_CLIENT_H
 
-/**
- * SECTION:purpleprotocolclient
- * @section_id: libpurple-purpleprotocolclient
- * @short_description: Protocol Client Interface
- * @title: PurpleProtocolClient Interface
- *
- * #PurpleProtocolClient interface defines the behavior of a typical chat
- * service's client interface.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -59,8 +49,8 @@
 /**
  * PurpleProtocolClient:
  *
- * An opaque data structure that represents an object that implements
- * #PurpleProtocolClientInterface.
+ * #PurpleProtocolClient interface defines the behavior of a typical chat
+ * service's client interface.
  */
 
 /**
diff --git a/libpurple/purpleprotocolfactory.h b/libpurple/purpleprotocolfactory.h
--- a/libpurple/purpleprotocolfactory.h
+++ b/libpurple/purpleprotocolfactory.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_PROTOCOL_FACTORY_H
 #define PURPLE_PROTOCOL_FACTORY_H
 
-/**
- * SECTION:purpleprotocolfactory
- * @section_id: libpurple-purpleprotocolfactory
- * @short_description: <filename>purpleprotocolfactory.h</filename>
- * @title: ProtocolFactoryInterface
- *
- * A interface where protocols can expose subclasses of libpurple objects.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -52,6 +43,12 @@
  * The standard _get_type macro for #PurpleProtocolFactory.
  */
 #define PURPLE_TYPE_PROTOCOL_FACTORY (purple_protocol_factory_iface_get_type())
+
+/**
+ * PurpleProtocolFactory:
+ *
+ * A interface where protocols can expose subclasses of libpurple objects.
+ */
 G_DECLARE_INTERFACE(PurpleProtocolFactory, purple_protocol_factory, PURPLE,
                     PROTOCOL_FACTORY, PurpleProtocol)
 
diff --git a/libpurple/purpleprotocolim.h b/libpurple/purpleprotocolim.h
--- a/libpurple/purpleprotocolim.h
+++ b/libpurple/purpleprotocolim.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_PROTOCOL_IM_H
 #define PURPLE_PROTOCOL_IM_H
 
-/**
- * SECTION:purpleprotocolim
- * @section_id: libpurple-purpleprotocolim
- * @title: ProtocolIM Interface
- * @short_description: Protocol Instant Message Interface
- *
- * #PurpleProtocolIM describes the API that protocols need to implement for
- * handling one on one conversations.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -65,8 +55,8 @@
 /**
  * PurpleProtocolIM:
  *
- * An opaque data structure that represents and object that implements
- * #PurpleProtocolIMInterface.
+ * #PurpleProtocolIM describes the API that protocols need to implement for
+ * handling one on one conversations.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleprotocolmanager.h b/libpurple/purpleprotocolmanager.h
--- a/libpurple/purpleprotocolmanager.h
+++ b/libpurple/purpleprotocolmanager.h
@@ -31,16 +31,6 @@
 G_BEGIN_DECLS
 
 /**
- * SECTION:purpleprotocolmanager
- * @section_id: libpurple-purpleprotocolmanager
- * @title: Purple Protocol Manager
- * @short_description: Management of protocols.
- *
- * #PurpleProtocolManager keeps track of all protocols and emits signals when
- * protocols are registered and unregistered.
- */
-
-/**
  * PURPLE_PROTOCOL_MANAGER_DOMAIN:
  *
  * A #GError domain for errors from #PurpleProtocolManager.
@@ -61,7 +51,8 @@
 /**
  * PurpleProtocolManager:
  *
- * An opaque data structure that manages protocols.
+ * #PurpleProtocolManager keeps track of all protocols and emits signals when
+ * protocols are registered and unregistered.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleprotocolmedia.h b/libpurple/purpleprotocolmedia.h
--- a/libpurple/purpleprotocolmedia.h
+++ b/libpurple/purpleprotocolmedia.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_PROTOCOL_MEDIA_H
 #define PURPLE_PROTOCOL_MEDIA_H
 
-/**
- * SECTION:purpleprotocolmedia
- * @section_id: libpurple-purpleprotocolmedia
- * @short_description: Protocol Media Interface
- * @title: ProtocolMedia Interface
- *
- * #PurpleProtocolMedia describes the multimedia api that is available for
- * protocols.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -59,6 +49,13 @@
  */
 
 /**
+ * PurpleProtocolMedia:
+ *
+ * #PurpleProtocolMedia describes the multimedia api that is available for
+ * protocols.
+ */
+
+/**
  * PurpleProtocolMediaInterface:
  * @initiate_session: Initiate a media session with the given contact.
  *                    <sbr/>@account: The account to initiate the media session
diff --git a/libpurple/purpleprotocolprivacy.h b/libpurple/purpleprotocolprivacy.h
--- a/libpurple/purpleprotocolprivacy.h
+++ b/libpurple/purpleprotocolprivacy.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_PROTOCOL_PRIVACY_H
 #define PURPLE_PROTOCOL_PRIVACY_H
 
-/**
- * SECTION:purpleprotocolprivacy
- * @section_id: libpurple-purpleprotocolprivacy
- * @short_description: Protocol Privacy Interface
- * @title: ProtocolPrivacy Interface
- *
- * #PurpleProtocolPrivacy describes the privacy API available to protocols.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -48,6 +39,12 @@
  * The standard _get_type method for #PurpleProtocolPrivacy.
  */
 #define PURPLE_TYPE_PROTOCOL_PRIVACY (purple_protocol_privacy_get_type())
+
+/**
+ * PurpleProtocolPrivacy:
+ *
+ * #PurpleProtocolPrivacy describes the privacy API available to protocols.
+ */
 G_DECLARE_INTERFACE(PurpleProtocolPrivacy, purple_protocol_privacy, PURPLE,
                     PROTOCOL_PRIVACY, PurpleProtocol)
 
diff --git a/libpurple/purpleprotocolroomlist.h b/libpurple/purpleprotocolroomlist.h
--- a/libpurple/purpleprotocolroomlist.h
+++ b/libpurple/purpleprotocolroomlist.h
@@ -33,19 +33,17 @@
 #include "roomlist.h"
 #include "purpleprotocol.h"
 
+G_BEGIN_DECLS
+
+#define PURPLE_TYPE_PROTOCOL_ROOMLIST (purple_protocol_roomlist_get_type())
+
 /**
- * SECTION:protocolroomlist
- * @section_id: libpurple-protocolroomlist
- * @title: Room List API
- * @short_description: Protocol Roomlist Interface
+ * PurpleProtocolRoomlist:
  *
  * #PurpleProtocolRoomlist is an interface to abstract how to handle rooms
  * lists at the protocol level.
  */
 
-G_BEGIN_DECLS
-
-#define PURPLE_TYPE_PROTOCOL_ROOMLIST (purple_protocol_roomlist_get_type())
 G_DECLARE_INTERFACE(PurpleProtocolRoomlist, purple_protocol_roomlist, PURPLE,
                     PROTOCOL_ROOMLIST, PurpleProtocol)
 
diff --git a/libpurple/purpleprotocolserver.h b/libpurple/purpleprotocolserver.h
--- a/libpurple/purpleprotocolserver.h
+++ b/libpurple/purpleprotocolserver.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_PROTOCOL_SERVER_H
 #define PURPLE_PROTOCOL_SERVER_H
 
-/**
- * SECTION:purpleprotocolserver
- * @section_id: libpurple-purpleprotocolserver
- * @short_description: Protocol Server Interface
- * @title: ProtocolServer Interface
- *
- * #PurpleProtocolServer describes the API for protocols that have a central
- * server.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -64,8 +54,8 @@
 /**
  * PurpleProtocolServer:
  *
- * An opaque data structure used to reference a #PurpleProtocol that implements
- * #PurpleProtocolServerInterface.
+ * #PurpleProtocolServer describes the API for protocols that have a central
+ * server.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purplesqlitehistoryadapter.h b/libpurple/purplesqlitehistoryadapter.h
--- a/libpurple/purplesqlitehistoryadapter.h
+++ b/libpurple/purplesqlitehistoryadapter.h
@@ -29,12 +29,6 @@
 #include <purplehistoryadapter.h>
 #include <purplemessage.h>
 
-/**
- * SECTION:purplesqlitehistoryadapter
- * @section_id: libpurple-purplesqlitehistoryadapter
- * @title: SQLite History Adapter Object
- */
-
 G_BEGIN_DECLS
 
 /**
diff --git a/libpurple/purpleuiinfo.h b/libpurple/purpleuiinfo.h
--- a/libpurple/purpleuiinfo.h
+++ b/libpurple/purpleuiinfo.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_UI_INFO_H
 #define PURPLE_UI_INFO_H
 
-/**
- * SECTION:purpleuiinfo
- * @section_id: libpurple-ui-info
- * @short_description: User Interface Information
- * @title: A simple class that contains information about a user interface.
- *
- * #PurpleUiInfo keeps track of basic information about the user interface.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -47,6 +38,12 @@
  * The standard _get_type macro for #PurpleUiInfo.
  */
 #define PURPLE_TYPE_UI_INFO (purple_ui_info_get_type())
+
+/**
+ * PurpleUiInfo:
+ *
+ * #PurpleUiInfo keeps track of basic information about the user interface.
+ */
 G_DECLARE_FINAL_TYPE(PurpleUiInfo, purple_ui_info, PURPLE, UI_INFO, GObject)
 
 /**
diff --git a/libpurple/purplewhiteboard.h b/libpurple/purplewhiteboard.h
--- a/libpurple/purplewhiteboard.h
+++ b/libpurple/purplewhiteboard.h
@@ -28,16 +28,6 @@
 #define PURPLE_WHITEBOARD_H
 
 /**
- * SECTION:purplewhiteboard
- * @section_id: libpurple-purplewhiteboard
- * @short_description: <filename>whiteboard.h</filename>
- * @title: Whiteboard Object
- *
- * The #PurpleWhiteboard API describes all interactions with whiteboards or
- * shared drawing spaces with other users.
- */
-
-/**
  * PURPLE_TYPE_WHITEBOARD:
  *
  * The standard _get_type macro for #PurpleWhiteboard.
diff --git a/libpurple/purplewhiteboardmanager.h b/libpurple/purplewhiteboardmanager.h
--- a/libpurple/purplewhiteboardmanager.h
+++ b/libpurple/purplewhiteboardmanager.h
@@ -31,16 +31,6 @@
 G_BEGIN_DECLS
 
 /**
- * SECTION:purplewhiteboardmanager
- * @section_id: libpurple-purplewhiteboardmanager
- * @title: Purple Whiteboard Manager
- * @short_description: Management of whiteboards.
- *
- * #PurpleWhiteboardManager keeps track of all whiteboards and emits signals
- * when whiteboards are registered and unregistered.
- */
-
-/**
  * PURPLE_WHITEBOARD_MANAGER_DOMAIN:
  *
  * A #GError domain for errors from #PurpleWhiteboardManager.
@@ -69,7 +59,8 @@
 /**
  * PurpleWhiteboardManager:
  *
- * An opaque data structure that manages whiteboards.
+ * #PurpleWhiteboardManager keeps track of all whiteboards and emits signals
+ * when whiteboards are registered and unregistered.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purplewhiteboardops.h b/libpurple/purplewhiteboardops.h
--- a/libpurple/purplewhiteboardops.h
+++ b/libpurple/purplewhiteboardops.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_WHITEBOARD_OPS_H
 #define PURPLE_WHITEBOARD_OPS_H
 
-/**
- * SECTION:purplewhiteboardops
- * @section_id: libpurple-purplewhiteboardops
- * @short_description: Whiteboard Protocol Operations
- * @title: Whiteboard Protocol Operations
- *
- * #PurpleWhiteboardOps contains the protocol operations for whiteboards.
- */
-
 #include <glib.h>
 
 typedef struct _PurpleWhiteboardOps PurpleWhiteboardOps;
diff --git a/libpurple/purplewhiteboarduiops.h b/libpurple/purplewhiteboarduiops.h
--- a/libpurple/purplewhiteboarduiops.h
+++ b/libpurple/purplewhiteboarduiops.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_WHITEBOARD_UIOPS_H
 #define PURPLE_WHITEBOARD_UIOPS_H
 
-/**
- * SECTION:purplewhiteboarduiops
- * @section_id: libpurple-purplewhiteboarduiops
- * @short_description: Whiteboard UI Operations
- * @title: Whiteboard User Interface Operations
- *
- * #PurpleWhiteboardUiOps contains the user interface operations for
- * whiteboards.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
